Bug 1962850 - [4.8] Bootimage bump tracker
Summary: [4.8] Bootimage bump tracker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Micah Abbott
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 1944660 1954025 1958930 1969208
TreeView+ depends on / blocked
 
Reported: 2021-05-20 16:44 UTC by Benjamin Gilbert
Modified: 2021-07-27 23:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1969651 (view as bug list)
Environment:
Last Closed: 2021-07-27 23:09:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4977 0 None open Bug 1962850: Bump RHCOS bootimages for multipath fixes 2021-06-07 14:34:25 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:09:55 UTC

Description Benjamin Gilbert 2021-05-20 16:44:21 UTC
Tracker bug for bootimage bump in 4.8.  This issue should block issues which need a bootimage bump to fix.

Comment 2 Michael Nguyen 2021-06-17 14:16:34 UTC
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-06-16-190035   True        False         23s     Cluster version is 4.8.0-0.nightly-2021-06-16-190035
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-06-16-190035   True        False         33s     Cluster version is 4.8.0-0.nightly-2021-06-16-190035
$ oc get nodes
NAME                                         STATUS   ROLES    AGE   VERSION
ip-10-0-134-236.us-west-2.compute.internal   Ready    master   27m   v1.21.0-rc.0+120883f
ip-10-0-150-206.us-west-2.compute.internal   Ready    worker   22m   v1.21.0-rc.0+120883f
ip-10-0-164-27.us-west-2.compute.internal    Ready    master   27m   v1.21.0-rc.0+120883f
ip-10-0-183-87.us-west-2.compute.internal    Ready    worker   20m   v1.21.0-rc.0+120883f
ip-10-0-210-154.us-west-2.compute.internal   Ready    master   28m   v1.21.0-rc.0+120883f
ip-10-0-222-34.us-west-2.compute.internal    Ready    worker   21m   v1.21.0-rc.0+120883f
$ oc -n openshift-machine-api get machinesets/mnguyen48bootimg-xc75p-worker-us-west-2a -o yaml | grep ami
                f:ami: {}
          ami:
            id: ami-0c9fd8b47bfd717e8
$ oc debug node/ip-10-0-150-206.us-west-2.compute.internal -- chroot /host rpm-ostree status
Starting pod/ip-10-0-150-206us-west-2computeinternal-debug ...
To use host binaries, run `chroot /host`
State: idle
Deployments:
* pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a9af00365ac9b38d479a6e33bb54fbc3f1150d7903873b9a6f1230a2a7577622
              CustomOrigin: Managed by machine-config-operator
                   Version: 48.84.202106141119-0 (2021-06-14T11:22:36Z)

  ostree://457db8ff03dda5b3ce1a8e242fd91ddbe6a82f838d1b0047c3d4aeaf6c53f572
                   Version: 48.84.202106091622-0 (2021-06-09T16:25:42Z)

Removing debug pod ...

Comment 5 errata-xmlrpc 2021-07-27 23:09:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.